<form [formGroup]="employeeHistoryForm">
  <button type="button" class="btn btn-primary mb-3" (click)="addEmployeeHistory()">
    Add
  </button>

  <div formArrayName="employeeHistoryFormArray"
    *ngFor="let employeeHistory of employeeHistoryForm.get('employeeHistoryFormArray')?.controls; let i = index">
    <div [formGroupName]="i">
      <fieldset class="form-group">
        <legend>Employee History {{i+1}}</legend>

        <div class="row">
          <div class="col-md-12">
            <button class="btn btn-sm btn-danger pull-right" (click)="deleteEmployeeHistory(i)">-</button>
          </div>
        </div>

        <!-- First Row -->
        <div class="row">
          <div class="col-md-4">
            <label>
              {{'COMPANY_NAME' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="companyName" />
            <span class="error-msg" *ngIf="(employeeHistory.get('companyName').errors?.required && employeeHistory.get('companyName').touched)
            || (employeeHistory.get('companyName').errors?.required && submitted)">
              Company name is required
            </span>
          </div>

          <div class="col-md-4">
            <label>
              {{'TITILE' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="title" />
            <span class="error-msg" *ngIf="(employeeHistory.get('title').errors?.required && employeeHistory.get('title').touched)
            || (employeeHistory.get('title').errors?.required && submitted)">
              Title is required
            </span>
          </div>

          <div class="col-md-4">
            <label>
              {{'START_DATE' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="startDate" bsDatepicker
              [bsConfig]="{ containerClass: 'theme-default' }" />
          </div>
        </div>

        <!-- Second Row -->
        <div class="row">
          <div class="col-md-4">
            <label>
              {{'EMPLOYMENT_TYPE' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="employmentType" />
          </div>

          <div class="col-md-4">
            <label>
              {{'END_DATE' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="endDate" bsDatepicker
              [bsConfig]="{ containerClass: 'theme-default' }" />
          </div>

          <div class="col-md-4">
            <label>
              {{'CELL_PHONE' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="cellPhone" />
          </div>
        </div>


        <!-- Third Row -->
        <div class="row">
          <div class="col-md-4">
            <label>
              {{'CITY' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="employmentType" />
          </div>

          <div class="col-md-4">
            <label>
              {{'STATE' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="endDate" />
          </div>

          <div class="col-md-4">
            <label>
              {{'ZIP' | translate}}
            </label>
            <input type="text" class="form-control" formControlName="cellPhone" />
          </div>
        </div>

        <!-- Fourth Row -->
        <div class="row">
          <div class="col-md-6">
            <label>
              {{'DUTIES' | translate}}
            </label>
            <textarea class="form-control" formControlName="employmentType"></textarea>
          </div>

          <div class="col-md-6">
            <label>
              {{'REASON_FOR_LEAVING' | translate}}
            </label>
            <textarea class="form-control" formControlName="endDate"></textarea>
          </div>
        </div>
      </fieldset>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <button class="btn btn-outline-primary" (click)="goBack()">
        <i class="fas fa-angle-left"></i> Back
      </button>
      <button class="btn btn-success pull-right" (click)="onSubmit()">
        Next <i class="fas fa-angle-right"></i>
      </button>
    </div>
  </div>

</form>